
#################################################################################################
#
# Node Generator
#
# Writen by:  Erol Kalkan
# Last modified:  Sept 2003
#
# Objective: 
#
# Units: kip-in      
#################################################################################################  

set IM 0.583;    #nodal mass for interior column
set EM 0.291;    #nodal gravity load for exterior column

set IRM 0.291;   #nodal gravity load for interior roof column
set ERM 0.146;  #nodal gravity load for exterior roof column

set IFM 0.678;   #nodal gravity load for interior first storey column
set EFM 0.339;   #nodal gravity load for exterior first storey column

set ISM 0.649;   #nodal gravity load for interior second storey column
set ESM 0.324;   #nodal gravity load for exterior second storey column

set xa -960; #nodal x coordinates
set xb -576;
set xc -192;
set xd    0; # dummy center node
set xe  192;
set xf  576;
set xg  960;

#####################################################################
# DEFINE NODAL COORDINATES IN INCHES AND NODAL MASSES IN KIP-SEC^2/IN
#    tag   X    Y           Mx    My   Mrot
# Base
node  1 $xa    0  -mass     0     0     0
node  2 $xb    0  -mass     0     0     0
node  3 $xc    0  -mass     0     0     0
node  5 $xe    0  -mass     0     0     0
node  6 $xf    0  -mass     0     0     0
node  7 $xg    0  -mass     0     0     0

# Story 1
node  8 $xa  174  -mass  $EFM    0     0
node  9 $xb  174  -mass  $IFM    0     0     
node 10 $xc  174  -mass  $IFM    0     0     
node 11 $xd  174  -mass     0    0     0     
node 12 $xe  174  -mass  $IFM    0     0     
node 13 $xf  174  -mass  $IFM    0     0     
node 14 $xg  174  -mass  $EFM    0     0     

# Story 2
node 15 $xa  366  -mass  $ESM    0     0
node 16 $xb  366  -mass  $ISM    0     0     
node 17 $xc  366  -mass  $ISM    0     0     
node 18 $xd  366  -mass     0    0     0     
node 19 $xe  366  -mass  $ISM    0     0     
node 20 $xf  366  -mass  $ISM    0     0     
node 21 $xg  366  -mass  $ESM    0     0     

# Story 3
node 22 $xa  524  -mass  $EM    0     0
node 23 $xb  524  -mass  $IM    0     0     
node 24 $xc  524  -mass  $IM    0     0     
node 25 $xd  524  -mass    0    0     0     
node 26 $xe  524  -mass  $IM    0     0     
node 27 $xf  524  -mass  $IM    0     0     
node 28 $xg  524  -mass  $EM    0     0  

# Story 4
node 29 $xa  682  -mass  $EM    0     0
node 30 $xb  682  -mass  $IM    0     0     
node 31 $xc  682  -mass  $IM    0     0     
node 32 $xd  682  -mass    0    0     0     
node 33 $xe  682  -mass  $IM    0     0     
node 34 $xf  682  -mass  $IM    0     0     
node 35 $xg  682  -mass  $EM    0     0  

# Story 5
node 36 $xa  840  -mass  $EM    0     0
node 37 $xb  840  -mass  $IM    0     0     
node 38 $xc  840  -mass  $IM    0     0     
node 39 $xd  840  -mass    0    0     0     
node 40 $xe  840  -mass  $IM    0     0     
node 41 $xf  840  -mass  $IM    0     0     
node 42 $xg  840  -mass  $EM    0     0 

# Story 6
node 43 $xa  998  -mass  $EM    0     0
node 44 $xb  998  -mass  $IM    0     0     
node 45 $xc  998  -mass  $IM    0     0     
node 46 $xd  998  -mass    0    0     0     
node 47 $xe  998  -mass  $IM    0     0     
node 48 $xf  998  -mass  $IM    0     0     
node 49 $xg  998  -mass  $EM    0     0 

# Story 7
node 50 $xa  1156  -mass  $EM    0     0
node 51 $xb  1156  -mass  $IM    0     0     
node 52 $xc  1156  -mass  $IM    0     0     
node 53 $xd  1156  -mass    0    0     0     
node 54 $xe  1156  -mass  $IM    0     0     
node 55 $xf  1156  -mass  $IM    0     0     
node 56 $xg  1156  -mass  $EM    0     0 

# Story 8
node 57 $xa  1314  -mass  $EM    0     0
node 58 $xb  1314  -mass  $IM    0     0     
node 59 $xc  1314  -mass  $IM    0     0     
node 60 $xd  1314  -mass    0    0     0     
node 61 $xe  1314  -mass  $IM    0     0     
node 62 $xf  1314  -mass  $IM    0     0     
node 63 $xg  1314  -mass  $EM    0     0 

# Story 9
node 64 $xa  1472  -mass  $EM    0     0
node 65 $xb  1472  -mass  $IM    0     0     
node 66 $xc  1472  -mass  $IM    0     0     
node 67 $xd  1472  -mass    0    0     0     
node 68 $xe  1472  -mass  $IM    0     0     
node 69 $xf  1472  -mass  $IM    0     0     
node 70 $xg  1472  -mass  $EM    0     0 

# Story 10
node 71 $xa  1630  -mass  $EM    0     0
node 72 $xb  1630  -mass  $IM    0     0     
node 73 $xc  1630  -mass  $IM    0     0     
node 74 $xd  1630  -mass    0    0     0     
node 75 $xe  1630  -mass  $IM    0     0     
node 76 $xf  1630  -mass  $IM    0     0     
node 77 $xg  1630  -mass  $EM    0     0 

# Story 11
node 78 $xa  1788  -mass  $EM    0     0
node 79 $xb  1788  -mass  $IM    0     0     
node 80 $xc  1788  -mass  $IM    0     0     
node 81 $xd  1788  -mass    0    0     0     
node 82 $xe  1788  -mass  $IM    0     0     
node 83 $xf  1788  -mass  $IM    0     0     
node 84 $xg  1788  -mass  $EM    0     0 

# Story 12
node 85 $xa  1946  -mass  $EM    0     0
node 86 $xb  1946  -mass  $IM    0     0     
node 87 $xc  1946  -mass  $IM    0     0     
node 88 $xd  1946  -mass    0    0     0     
node 89 $xe  1946  -mass  $IM    0     0     
node 90 $xf  1946  -mass  $IM    0     0     
node 91 $xg  1946  -mass  $EM    0     0 

# Story 13
node 92 $xa  2104  -mass  $EM    0     0
node 93 $xb  2104  -mass  $IM    0     0     
node 94 $xc  2104  -mass  $IM    0     0     
node 95 $xd  2104  -mass    0    0     0     
node 96 $xe  2104  -mass  $IM    0     0     
node 97 $xf  2104  -mass  $IM    0     0     
node 98 $xg  2104  -mass  $EM    0     0 

# Story 14
node  99 $xa  2262  -mass  $ERM    0     0
node 100 $xb  2262  -mass  $IRM    0     0     
node 101 $xc  2262  -mass  $IRM    0     0     
node 102 $xd  2262  -mass     0    0     0     
node 103 $xe  2262  -mass  $IRM    0     0     
node 104 $xf  2262  -mass  $IRM    0     0     
node 105 $xg  2262  -mass  $ERM    0     0 

#####################################################################
# SINGLE POINT CONSTRAINTS
#   node DX DY RZ
fix   1   1  1  1
fix   2   1  1  1
fix   3   1  1  1
fix   5   1  1  1
fix   6   1  1  1
fix   7   1  1  1

#####################################################################
puts "Finished creating nodes and restraints ..."






