%==========================================================================
clear; clc; close all;
%==========================================================================
%load ..//GMs/Scale_Factors.mat; % Call scale factors data-structure
warning off

for NM=5:21;
    GM=[1:21];
    num=GM(NM);
    ch1 = num2str(num);

    clear gacc npoint dt line

    fid1 = fopen('..//GMs/input.txt','r');
    for i = 1:length(GM);
        filename= fgets(fid1);
        if i == NM
            break
        end
    end
    
    filename_c = filename(1:length(filename)-2);
    fprintf('GM in process = %s\n',filename_c);
    fpath = strcat('..//GMs/',filename_c);
    [fid,message] = fopen(fpath, 'r');   
    if fid == -1;
        disp(message);
        break
    end    
%==========================================================================
    % READ TEXT LINES 
    for i = 1:9;
        line = fgets(fid);
        if i == 6;
            dt = line(7:13);
            dt = str2num(dt);
        elseif i == 7;
            npoint = line(25:end);
            npoint = str2num(npoint);
            if npoint > 10000;
                npoint = 10000;
                fprintf('Ground Motion is Truncated to 10000 Data Points \n');
            end               
        end      
    end
 
    GMfactor =1.0;
    fprintf('Npoint = %5.0f; dt = %5.4f   \n',npoint,dt);    

    gacc = fscanf(fid,'%15e ',npoint);
    fname = strcat('..//GMs/M_',ch1,'.tcl');
    fid2 = fopen (fname,'w'); 
    fprintf (fid2,'%5.4f\n',gacc);
    fclose(fid2);
    
%==========================================================================
% GROUND MOTION INPUT TCL PROCESSING
        fp1=fopen('GMotion.tcl','w');
        fprintf(fp1,' set GM %5.0f',num); 
        fprintf(fp1,'\n set outFile %s',fname); 
        fprintf(fp1,'\n set Nsteps %5.0f',npoint); 
        fprintf(fp1,'\n set dt %5.3f',dt); 
        fprintf(fp1,'\n set GMfatt %5.3f',GMfactor);
        fclose ('all');
%==========================================================================
        dos('opensees main.tcl','-echo');
 end
    
